#
# spec file for package susewm (Version 3.6.0)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp xf86
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         susewm
Copyright:    1996-2000, SuSE GmbH, Nuremberg, Germany
Group:        System/GUI/Other
Provides:     susefvwm susewm 
Requires:     diffutils patch listexec bash windowmanager
Autoreqprov:  on
Version:      3.6.0
Release:      74
Summary:      Window manager configuration
Source:       susewm.tar.bz2
Source1:      susewm.db
Source2:      map_rubric
Source3:      xpmroot.tar.bz2
Source4:      wine_wrapper
Source5:      sysconfig.windowmanager
Source6:      AddEntrys.tar.bz2
Source7:      SuSE.tar.bz2
Source8:      copied_entries
Source9:      map_rubric.user
Source10:     convert_gnome_desktop_file
Source11:     work.tar.bz2
Source12:     install_linux.desktop
Source13:     kdesu_xterm.desktop
Source14:     kdesu_xterm_wrapper
Source15:     tfdmr.desktop
Patch0:       kde-native-mimetype-filter.diff
Patch1:       tfdm.dif

%description
This package allows creation, in one step, of the configuration files
for the fvwm, fvwm2, fvwm95, bowman, afterstep, cdesim, mwm, ctwm,
KDE, and icewm window managers.


In the menus, you will only find programs that are really installed in
the system. The desktop of the window managers will look the
same (considering the particularities of the window managers).


For KDE, mwm, ctwm, and icewm, there is only support for keeping the menus up
to date since these are very different from the other window managers,
like fvwm.


The icons used in the fvwm2 / fvwm95 menus are taken from the package
3dpixms which themselves are generated from the 3dpixm package.

Authors:
--------
    Adrian Schrter <adrian@suse.de>
    Petr Mladek <pmladek@suse.cz>
    Mads Martin Joergensen <mmj@suse.de>
    Holger Hetterich <hhetter@suse.de>
    

SuSE series: xwm

%prep
%setup -n xpmroot -b 3
%setup -n susewm
%patch -p1
%patch1

%build -b 1
cd src
make
cd ../../xpmroot
xmkmf -a
make

%install
install -s -m 0755 ../xpmroot/xpmroot /usr/X11R6/bin/xpmroot
install    -m 0644 ../xpmroot/xpmroot.man /usr/X11R6/man/man1/xpmroot.1x
rm -rf /usr/X11R6/lib/X11/susewm /etc/X11/susewm
mkdir -p /usr/X11R6/lib/X11/susewm/bin /etc/X11/susewm
install -s src/susewm     /usr/X11R6/lib/X11/susewm/bin
install add/susewmif          /usr/X11R6/lib/X11/susewm/bin
ln -sf ../lib/X11/susewm/bin/susewm /usr/X11R6/bin
ln -sf ../lib/X11/susewm/bin/susewmif   /usr/X11R6/bin
#
# ask our database to create a newer database file
#
install -o root -g root -m 0644 ../../SOURCES/susewm.db \
        /usr/X11R6/lib/X11/susewm/susewm.db
rm -rf /etc/X11/susewm/AddEntrys
install -d /etc/X11/susewm/
tar xfvj %SOURCE6  -C /etc/X11/susewm/ --no-same-owner
tar xfvj %SOURCE11 -C /etc/X11/susewm/ --no-same-owner
tar xfvj %SOURCE7  -C /etc/X11/susewm/AddEntrys/ --no-same-owner
install -m 644 %SOURCE2 %SOURCE8 %SOURCE9 /etc/X11/susewm/
install -o root -g root -m 0644 %SOURCE1 \
        /usr/X11R6/lib/X11/susewm/susewm.db
install -m 0644 %SOURCE15 /usr/X11R6/lib/X11/susewm/tfdmr.desktop
#
# SuSEconfig stuff
#
install -d -m 755 /sbin/conf.d
install -m 744 cfg/SuSEconfig.susewm /sbin/conf.d
#
# sysconfig stuff
#
FILLUP_DIR=$RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $FILLUP_DIR
install -m 644 %SOURCE5 $FILLUP_DIR/sysconfig.windowmanager-susewm
#
# export files for safe systems
#
mkdir -p /usr/X11R6/lib/X11/susewm /opt/kde3/share/mimelnk/all/ /opt/kde3/share/applnk/.hidden
install -m 644 %SOURCE10 /usr/X11R6/lib/X11/susewm/
cp -a startcmd /usr/X11R6/lib/X11/susewm
cp -a messages /usr/X11R6/lib/X11/susewm
install -m 755 %SOURCE4  /usr/bin/
install -m 755 %SOURCE14 /usr/bin/
install -m 755 %SOURCE12 /opt/kde3/share/mimelnk/all/
install -m 755 %SOURCE13 /opt/kde3/share/applnk/.hidden

%post
#!/bin/bash
echo -n "Updating etc/rc.config... "
%{fillup_only -an windowmanager}
if [ -d opt/kde2/share/config/SuSE ] ; then
   echo "remove old menus from KDE 2"
   rm -rf opt/kde2/share/config/SuSE
fi
if [ -d etc/opt/kde2/share/applnk/SuSE ] ; then
   echo "remove old menus from KDE 2"
   rm -rf etc/opt/kde2/share/applnk/SuSE
fi

%preun
#!/bin/bash
if [ -f usr/X11R6/lib/X11/susewm/live.db ]; then
    rm -f usr/X11R6/lib/X11/susewm/live.db 
fi

%files 
%dir /usr/X11R6/lib/X11/susewm/bin
%dir /usr/X11R6/lib/X11/susewm
%dir /etc/X11/susewm
/usr/X11R6/bin/xpmroot
%doc /usr/X11R6/man/man1/xpmroot.1x.gz
/usr/X11R6/lib/X11/susewm/susewm.db
/usr/X11R6/lib/X11/susewm/startcmd
/usr/X11R6/lib/X11/susewm/messages
/usr/X11R6/lib/X11/susewm/convert_gnome_desktop_file
/usr/X11R6/lib/X11/susewm/tfdmr.desktop
/etc/X11/susewm/AddEntrys
%config /etc/X11/susewm/map_rubric
%config /etc/X11/susewm/copied_entries
%config(noreplace) /etc/X11/susewm/map_rubric.user
/usr/X11R6/bin/susewm
/usr/X11R6/bin/susewmif
/usr/X11R6/lib/X11/susewm/bin/susewm
/usr/X11R6/lib/X11/susewm/bin/susewmif
/usr/bin/wine_wrapper
/usr/bin/kdesu_xterm_wrapper
/opt/kde3/share/mimelnk/all/install_linux.desktop
/opt/kde3/share/applnk/.hidden/kdesu_xterm.desktop
/sbin/conf.d/SuSEconfig.susewm
/var/adm/fillup-templates/sysconfig.windowmanager-susewm

%changelog -n susewm
* Thu May 16 2002 - adrian@suse.de
- add wrapper scripts to detect "Das Telefonbuch"-CD applications
- minor menu entry fixes
* Mon Apr 15 2002 - adrian@suse.de
- filter KDE native mime types during file copy
  single kpart entries in koshell aggain (bugzilla #14675)
* Tue Apr 02 2002 - adrian@suse.de
- fix root xterm Exec line
* Wed Mar 27 2002 - adrian@suse.de
- fix Exec lines for KDE 3 applications in gnome menu
- move the rest of the gnome apps to correct place
* Tue Mar 26 2002 - adrian@suse.de
- forgot the work menu, bpb.
* Tue Mar 26 2002 - adrian@suse.de
- fix gnome menu entrys
- fix YaST calls from the different menus/control center finaly
* Tue Mar 26 2002 - adrian@suse.de
- fix kcontrol-YaST-module entries
- add check for empty Comment lines for the swapped label case
* Tue Mar 26 2002 - adrian@suse.de
- switch to GenericName for KDE
- fixes for gnome entrys
- czech fixes by pmladek
- crash fix
- updated database
* Thu Mar 21 2002 - adrian@suse.de
- fix more mm problems
- fix fvwm icon config
- fix fonts for non-japanese setups
- add support for gnome
- use -S option to start yast
- implement --alsa check for CheckHardware
* Mon Mar 18 2002 - adrian@suse.de
- fix several memory allocation problems
- support check for 3D or sound if defined in package database
- fix encoding of Name and comment strings
- add gnome convert script to support gnome.desktop files (non utf-8)
- update database
* Mon Mar 11 2002 - adrian@suse.de
- fix missing \n in desktop files
- minor menu clean up
* Tue Mar 05 2002 - mfabian@suse.de
- add susewm-fvwm2-cjk-fontsets.patch to get Chinese, Japanese
  and Korean displayed correctly by fvwm2with the default
  /etc/X11/fvwm2/system.fvwm2rc generated by susewm.
* Fri Mar 01 2002 - adrian@suse.de
- import KDE 2, 3 and Gnome menu links
- fix gnome menus (use xterm instead of konsole and do quoting)
* Mon Feb 25 2002 - adrian@suse.de
- add some kde application links
* Fri Feb 22 2002 - schwab@suse.de
- Remove built objects from tarfile.
- Fix quoting in wine_wrapper.
- Fix for gcc3.
* Tue Feb 19 2002 - adrian@suse.de
- fix extra menu tags in database
- fix SuSEconfig.susewm (s,mksusewmrc,susewm,)
* Mon Feb 18 2002 - adrian@suse.de
- add initial KDE 3 support
* Mon Feb 11 2002 - ro@suse.de
- moved to sysconfig/windowmanager
- leave opt/kde2 alone if it doesn't exist
* Mon Jan 07 2002 - schwab@suse.de
- Don't include non-std header <stdiostream.h>.
* Mon Oct 01 2001 - schwab@suse.de
- Fix quoting in shell scripts.
* Fri Sep 28 2001 - adrian@suse.de
- fix some menu entries
* Mon Sep 24 2001 - adrian@suse.de
- fix some menu points (exec commands and double entries)
- fix fvwm&WindowMaker menus ("sw_single" instead of "sw_single)
- add ogg Mimetype
* Fri Sep 21 2001 - adrian@suse.de
- fix typo, which caused a seg fault
- add check for unsuccessfull iconv_open
- update susewm.db with some menu fixes
- cover the leak-fix with a brown paper bag ...
- add missing encoding conversation for new entrys
* Fri Sep 21 2001 - adrian@suse.de
- fix iconv leak in recode_str. (fix seg fault on glibc < 2.2 )
* Thu Sep 20 2001 - adrian@suse.de
- fix double entrys
- update susewm.db
* Wed Sep 19 2001 - adrian@suse.de
- fix broken accent chars in menues
- update susewm.db
* Thu Sep 13 2001 - adrian@suse.de
- update version to 3.4.1
  * fix common.h (wrong database version number)
  * fix gnome/kde menu generation
* Wed Sep 12 2001 - adrian@suse.de
- update version to 3.4.0
  * minor fixes
  * updated database
* Fri Aug 24 2001 - adrian@suse.de
- update version to 3.4.0
  * blackbox support by <mmj@suse.de>
  * fixed gnome support by <hhetter@suse.de>
* Tue Jul 17 2001 - sndirsch@suse.de
- removed 'wmlist', now in package xf86tools
* Tue Jul 10 2001 - adrian@suse.de
- fix conflicting mimetypes: x-doc <-> msword
  this fixes kword problems with MS Word documents
- fix broken symlinks for old desktop settings
* Tue May 29 2001 - adrian@suse.de
- add some hugarian translations
* Wed May 16 2001 - adrian@suse.de
- call yast2 direct in SuSE->System->Configuration, but not in
  Settings->YaST2
* Mon May 14 2001 - adrian@suse.de
- add missing YaST2 Online Update to menu
- fix some minor glitches in menu
* Fri May 11 2001 - adrian@suse.de
- fix Type=Directory line in every .desktop file
- fix -caption option for non KDE 2 WMs
- fix spaces in filenames if they are started with kdesu
- database is frozen
- fix file handle leak
* Tue May 08 2001 - adrian@suse.de
- fix WARNINGs
- change .directory type entrys and header for gnome
- ignore SuSEgreeting as additional entry
- fix xmcd startscript
* Mon May 07 2001 - adrian@suse.de
- apply fixes for fvwm* from Petr Mladek
- write special KDE menue for gnome
* Thu May 03 2001 - adrian@suse.de
- fix SuSEconfig.susewm to handle files with spaces
* Tue May 01 2001 - adrian@suse.de
- fix WindowMaker menus
- support .exe files with wine
- fix user installed .desktop files support
* Mon Apr 30 2001 - adrian@suse.de
- support YaST2 modules with arguments like '".count"'
- add KDE2 .desktop files which installed by user to SuSE menu
* Wed Apr 25 2001 - adrian@suse.de
- fix postinstall script
- create compatibility links for updater
- fix YaST2 kcontrol calls
- fix copy_kde2_settings function for utf8
- fix SortOrder function for KDE 2
- update fallback susewm.db
- suppress WindowMaker applets for KDE 2
* Tue Apr 24 2001 - adrian@suse.de
- remove debug code from susewm
* Tue Apr 24 2001 - adrian@suse.de
- fix YaST2 menus
* Mon Apr 23 2001 - adrian@suse.de
- update to 3.3.2
- prepare for SuSEwizard
* Thu Apr 05 2001 - adrian@suse.de
- update to 3.3.1
  fvwm95 fix from pmladek@suse.cz
  new WindowMaker support from nadvornik@suse.cz
  reorder wmlist
  updated fallback DB
* Thu Mar 29 2001 - adrian@suse.de
- update to 3.3.0 (MimeType support for KDE 2, first version)
  added xpmroot from icons package
  activate DB tool again for beta
  update static DB
  use new DB format type "m"
* Fri Mar 09 2001 - mfabian@suse.de
- correct generated system.fvwm2rc, there was some stuff
  still in fvwm1 syntax, which is not accepted any more
  in fvwm 2.3.x
* Mon Feb 26 2001 - sndirsch@suse.de
- added wmlist (comes from package xf86)
* Sun Jan 28 2001 - adrian@suse.de
- drop -t for kdesu again
  add fvwm2 fixes from Andreas Schwab
  update static db
* Fri Jan 26 2001 - adrian@suse.de
- fix encoding for LATIN-2 languages
* Wed Jan 24 2001 - adrian@suse.de
- add new spanish translations from Jordi
* Wed Jan 24 2001 - adrian@suse.de
- update to 3.2.5, support hungarian and czech
  do not allow password caching in kde 2 kdesu, since it is to broken
  freeze database
* Sat Jan 20 2001 - adrian@suse.de
- fix YaST2 sub modules call
- fix icons for fvwm2 again
* Wed Jan 17 2001 - adrian@suse.de
- fix again yast2 call in software installation (yast2 script has changed)
* Tue Jan 16 2001 - adrian@suse.de
- big new feature. big rewrite. everything changed. Buchwurm want's this.
* Sun Jan 14 2001 - adrian@suse.de
- fix YaST2 module call: Bugzilla #5601
* Fri Jan 12 2001 - adrian@suse.de
- fix konsole call in KDE 2
* Thu Jan 11 2001 - adrian@suse.de
- fix seg fault, when -q is used
* Wed Jan 10 2001 - adrian@suse.de
- fix gnome support (use xpm insteadt of png)
  fix WindowMaker support
* Tue Jan 09 2001 - adrian@suse.de
- fixed icons in "not installed" menu
* Mon Jan 08 2001 - adrian@suse.de
- fix YaST2 call in notinstalled
  fix total: %%i ouput while SuSEconfig
* Sat Jan 06 2001 - adrian@suse.de
- fixing fvwm2 (thanks arvin)
  small KDE 2 fixes
  support POSIX and C as parameter
* Wed Jan 03 2001 - adrian@suse.de
- fix package parsing ( "-" in package name)
* Tue Jan 02 2001 - adrian@suse.de
- using FactoryNames for YaST2 modules in kcontrol
* Wed Dec 27 2000 - adrian@suse.de
- update to 3.2.3
  general cleanup
* Tue Dec 19 2000 - adrian@suse.de
- update to SuSEwm 3.2.2
  several fixes for KDE 2
* Tue Dec 19 2000 - adrian@suse.de
- support different menus in KDE 1 and 2
* Mon Dec 18 2000 - adrian@suse.de
- fixed YaST 2 module support
* Tue Nov 21 2000 - kukuk@suse.de
- Fix Reqiures (diff -> diffutils)
* Mon Nov 20 2000 - adrian@suse.de
- update to 3.2.1
  added mimesupport for KDE 2
  build fixes
* Sat Nov 11 2000 - adrian@suse.de
- update to 3.2.0
  added work/yast menus for Gnome
  added KDE 2 control center support for YaST2
  changes for icon handling
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Sat Oct 28 2000 - kukuk@suse.de
- fix need for build list
* Fri Sep 15 2000 - adrian@suse.de
- drop requires of  3dpixm 3dpixms
* Tue Jul 18 2000 - adrian@suse.de
- readded mysqllib to neededforbuild
* Mon Jul 17 2000 - adrian@suse.de
- added full path for kde 1/2 bins...
* Wed Jul 12 2000 - adrian@suse.de
- using susedb to build database
  fixed conflict with susedb
* Mon Jul 10 2000 - adrian@suse.de
- fixed fvwm2 path
  added minor windowmaker extension
* Wed Jul 05 2000 - adrian@suse.de
- fixed wmaker plmenu files
  added root shell with X access
* Thu Jun 22 2000 - adrian@suse.de
- changed to new fvwm2 path
  minor improvement in KDE fast menu
* Fri Jun 16 2000 - adrian@suse.de
- update to 3.1.8
  first KDE 2 support
* Mon Jun 05 2000 - adrian@suse.de
- update to 3.1.7
  improved WindowMaker support
  options possible through susewmif
* Wed Apr 19 2000 - adrian@suse.de
- fix for fvwm95
  fix for release number detection
  added spezial entry for PPC
* Mon Mar 27 2000 - adrian@suse.de
- fix for StarOffice seg fault
* Mon Mar 13 2000 - adrian@suse.de
- fix for the sux script
* Fri Mar 10 2000 - adrian@suse.de
- fixed a security issue (new script from werner)
* Thu Mar 09 2000 - adrian@suse.de
- language mapped for applications with root permissions
* Thu Mar 09 2000 - adrian@suse.de
- workaround for locale problem with "english"
* Wed Mar 08 2000 - adrian@suse.de
- fixes rpm root permissions for X11 apps on remote terminal
* Mon Mar 06 2000 - adrian@suse.de
- added a special KDE short menu option
* Mon Mar 06 2000 - adrian@suse.de
- update to 3.1.4; sort order support
* Sat Mar 04 2000 - adrian@suse.de
- update to 3.1.3; kde short menu, "need root permissions" option
* Wed Mar 01 2000 - adrian@suse.de
- update to 3.1.2; a fix und speed improvements
* Mon Feb 28 2000 - adrian@suse.de
- update to 3.1.1; fixes and new functions ...
* Sun Feb 27 2000 - adrian@suse.de
- fixed neededforbuild, since mysql dependencies changes
* Sun Feb 27 2000 - adrian@suse.de
- update to 3.1.0; much rewritten code; DB is hosted by a SQL server
* Tue Nov 30 1999 - adrian@suse.de
- update to 3.0.4 DB updates, minor fixes and live file system support
* Fri Nov 05 1999 - adrian@suse.de
- update to 3.0.3 DB updates and parameter fix for different languages
* Wed Nov 03 1999 - adrian@suse.de
- update to 3.0.2 DB updates and fvwm* fixes
* Tue Nov 02 1999 - adrian@suse.de
- update to 3.0.1 update kde routine
* Thu Oct 21 1999 - ro@suse.de
- update to 3.0 / complete rewrite
* Fri Oct 08 1999 - werner@suse.de
- Change Key combination Shift_R + Mod5 (Hyper_R on 117)
  to Menu (on 117) + Shift
* Sun Oct 03 1999 - maddin@suse.de
- corrected not called penguin menu
- added menu entries for aleclone
* Mon Sep 20 1999 - ro@suse.de
- added requires windowmanager
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Jul 17 1999 - maddin@suse.de
- fixed bugs:
- sdb now again startable from menu
- kernelchoice now uses bzImage instead of bzimage
- removed last .xpm entries
- new:
- fvwm2 package is recognized as fvwm
- penguin menu
- multiple packages for one wm in SuSEconfig.susewm
- now also shows browser entry for engl. mini howtos
* Fri Apr 30 1999 - maddin@suse.de
- fixed bugs:
- user could not generate config files for current wm
- afterstep was not recognized by mksusewmrc
* Wed Apr 07 1999 - maddin@suse.de
- changed menu entries formerly done by fvwm functions:
- EmacsFunc, MailFunc, NSFunc, NewsFunc
- now the appropriate programs are mentioned directly
  (and so you have e.g. netscape in the suse menu)
* Wed Apr 07 1999 - bs@suse.de
- removed (x)scheme from menu entries (error message with "lambda_3d")
* Tue Apr 06 1999 - maddin@suse.de
- fixed some string bugs
- fixed uncertain condition in SuSEconfig.susewm which seems to cause
  disappearing suse menu in kde
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Fri Mar 19 1999 - maddin@suse.de
- fixed some bugs
- rewrote tar.gz (no dif)
- all languages (de, en, fr, it, es) now supported
- mksusewmrc works again
- fixed kernel compilation invocation
* Sun Feb 28 1999 - maddin@suse.de
- new version 2.0
- rewrote indeed everything:
- new macros
- new language handling
- new switches to SuSEconfig.wm
- rewrote SuSEconfig.susewm
- now support for icewm menus
- afterstep 1.0 still supported
- sdb handled by susewmif
* Tue Dec 08 1998 - maddin@suse.de
- new version 1.62 (only noted in spec file)
- new handling of howtos (browsing in all languages)
- corrected /tmp handling in zview
- corrected errors for tkstep, listsnd, qtlib
- changed handling of filenames for kde menus
- full icon support for kde
- renamed "S.u.S.E." menu to "SuSE" in SuSEconfig.kdm
- added yast.xpm
- some new menu entries
- menus for StarOffice5
- corrected some of the books' invocations
- replaced all instances of "S.u.S.E." by "SuSE"
* Thu Oct 08 1998 - maddin@suse.de
- paths for applixware corrected
* Wed Jul 29 1998 - maddin@suse.de
- ps -aux replaced in startcmd/background
- startcmd/tartan in susewmif for starting tartans from KDE menus
- removed TMPUIS to avoid /tmp exploits
- corrected handling of backup files in SuSEconfig.susewm
- mwm config files are now generated from menu
- inserted new windowmanagers in menu
* Wed Jul 29 1998 - maddin@suse.de
- forgot startcmd/howto; now in filelist
* Wed Jul 29 1998 - maddin@suse.de
- added correct support for howtos in KDE menus, still remaining
  some exec calls which cant be done with KDE menus (xtartan,xess)
- added susewmif howto, startcmd/howto
* Mon Jul 27 1998 - maddin@suse.de
- added alias for pine4 package
* Wed Jul 22 1998 - maddin@suse.de
- added french language to kernelchoice.tcl
- added support for suse pixmap for menu entry
* Mon Jul 20 1998 - maddin@suse.de
- new version 1.61
- fixed bug in calling sdb from button bar
- removed menu entry for no more existing xrplay
* Thu Jul 02 1998 - ro@suse.de
- fixed bash2-bug in SuSEconfig.susewm
* Wed May 13 1998 - maddin@suse.de
- fixed: bug in startcmd/kernel
* Mon Apr 20 1998 - maddin@suse.de
- fixed: xmessages was not called correctly
- fixed: mksusewmrc did not really patch the user's rcfile
- kernel now issues messages in $LANGUAGE
- entry for mirrormages and xcolors fixed
* Thu Mar 12 1998 - bs@suse.de
- SUSEHOMEPAGE=file://localhost/usr/doc/support-db/sdb/index.html
- fixed call of kwm in fvwm2
* Sat Nov 22 1997 - bs@suse.de
- fixed post and preun scripts (use relative pathes)
* Fri Nov 21 1997 - maddin@suse.de
- fixed bug with includehowto and includefaq
- touching /var/lib/susewm/susewm.kwm while postinst to get correct
  timeorder for generating kwm dirs
* Mon Nov 17 1997 - maddin@suse.de
- set correct version number
- corrected enlightenment call
- repacked tar.gz so no warnings for "no newline" should occur
  while building
* Sat Nov 15 1997 - max@suse.de
- fixed ctwm <--> listexec bug
* Thu Nov 13 1997 - max@suse.de
- fixed: no menus on all wms except kwm
- fixed: KDE: pipe symbols in *.applnk
- fixed: howtopopup works again
- BUG: ctwm support is not fully functional (perhaps an old one)
* Fri Nov 07 1997 - maddin@suse.de
- fixed bug with NumLock
- enhanced KDE support
- extended menus
- mksusewmrc (silently) supports kde
* Sat Oct 25 1997 - maddin@suse.de
- new version 1.6
- ready for build /rpm
- support for kde
- removed lots of bugs
- listexec used for pictures, sounds, backgrounds etc
- extended kernelchoice.tcl
* Tue Aug 05 1997 - 
- set xorvalue explicitely to make frame visible when
  dragging or resizing windows in fvwm2 deriving wms
- lib/common/colorsfonts.fvwm now in fvwm/fvwm2 dir
- style for xosview in fvwm95 set
- date and susewm version now in the file header
- some new menuentries
- fixed cdesim bugs (cdesim could not restart other wms)
- fixed severe bug in SuSEconfig.susewm and premenus.fvwm
  which disabled support for mwm since name for mwm package
  changed
* Fri Jun 27 1997 - maddin@suse.de
- fixed macros for afterstep button bar Wharf
- fixed bug in english texts of mksusewmrc
- integrated new programs
- fixed method to determine configuration of xmcd
- same call to help system in menu and button bar
* Fri Jun 20 1997 - maddin@suse.de
- SuSEconfig.susewm now issues text while fixing compat links
- removed compat links from package
- introduced predelete.sh to remove compat links before
  deinstallation of package
- some new menu entries
* Fri Jun 13 1997 - maddin@suse.de
- fixed bug in SuSEconfig.susewm which made it impossible to
  automagically generate an .fvwm2rc
- added some programs
- fixed bugs in tcl menus
- added support for new star office
- updated commercial programs
- fixed bug in fvwm95 tree and added
- removed #*# files
- converted absolute links to relative ones (for rpm)
- made Makefile nicer :-)
- support Netscape, too
- susefax now in menu
- new penguin icon
- introduced /var/lib/susewm/susewm.config since "secure"
  rc.config cannot be read by mksusewmrc started by users
* Sun Jun 01 1997 - bs@suse.de
- fixed error message in doinst.sh
* Thu May 22 1997 - maddin@suse.de
- susewm now speaks spanish!
- new macro: NewPopup
- new defines: SUSEWM_NAME, etc.
- integrated many packages
- fixed many bugs in menus
- more access to documentation
- changed outfit for fvwm2
- using now exit functions in fvwm family windowmanagers
- supporting new config file .fvwm95rc in fvwm95, checking
  for old style files
- new variable in rc.config: SUSEWM_COMPAT to create links
  which were available in old versions
- compatibility defines for old package names
- now supports rpm packaging
- kernel compile from menu
- fixed severe bug in SuSEconfig.wm parameter checking
- integrated applix, tcl, qt, xrt,...
- and many more details
* Thu Jan 02 1997 - maddin@suse.de
-remade StarOffice-Support in menus, SuSEconfig.wm and built
  new start script soffice
* Thu Jan 02 1997 - maddin@suse.de
  Rebuilt susewm almost from scratch.
-Supports now 7 WMs:fvwm,fvwm2,fvwm95,bowman,afterstep,mwm,ctwm
-Programs may be started indirectly by susewmif, so necessary
  initialization,configuration,etc may be done before
-macros are placed in their own subdir and are more clear now.
-changed some macros (e.g. ModBtn,FuncBtn) to new, more general
  ones, but kept the old macros for compatibility
-more menu entries
-extended support for user installed software (e.g. staroffice)
-introduced new colour "None" in pixmaps so they'll run also
  with afterstep module wharf
-faster (for all but ctwm) generation
-obsolete script direcho
-correct handling of live file system
-bad bug when in -v mode fixed (no more defective rc-files)
-new variable SUSEWM_XPM to switch off pixmap support in
  fvwm2 and fvwm95 from /etc/rc.config
-mksusewmrc reconises SUSEWM_XPM
-user is notified if patch in mksusewmrc doesn't work correctly
  maddin:09.09.1996
  anddef macro for multiple dependencies in bin/macros.m4
  maddin: 06.09.96
  documentation in /usr/doc/packages/susewm/susewm.ps
  check for staroffice
  bs:02.09.96
  speedups in /sbin/conf.d/SuSEconfig.susewm; it checks, if the
  corresponding wms are installed at all
  bs:26.8.96
  changes to doinst.sh reverted so no changes are made to /etc/rc.config
  except inserting the susewm variables
  maddin:23.8.96
  fixed some bugs in the main menu
  doinst.sh now corrects the value of /etc/rc.config CREATE_FVWM_CONFIG
  to "no", so it won't interfere with SUSEWM_UPDATE
  lib/fvwm2/menus.fvwm: the FvwmAuto module is killed by KillModule now
  lib/fvwm95/menus.fvwm: the FvwmAuto module is killed by KillModule now
  fixed nasty bug in bin/macros.m4 that drawed the icons even if
  3dpixmap(s) was'nt installed
  maddin:20.8.96
  messages in mksusewmrc are languagely localized now depending
  on the language the config file is generated in
  modulepopup went to the local wm directories menus.fvwm
  maddin:19.8.96
  fixed wrong module path for fvwm and fvwm2
  changed screen output in /sbin/conf.d/SuSEconfig.susewm
  introduced a new file premenus.fvwm (lib/common)
  moved unconfigured wms to submenu
  removed a bug from mksusewmrc
  fixed mwm-inclusion
  fixed wrong path /usr/lib/X11/susewm in SuSEconfig.wm
  maddin:16.8.96
  fixed check for live file system packages in bin/direcho
  maddin:16.8.96
  no changes so far, because this is the first release version
  end of susewm ChangeLog
